Please backport Blender 2.46

Bug #233856 reported by Fred
36
Affects Status Importance Assigned to Milestone
Hardy Backports
Undecided
Unassigned

Bug Description

Current version in Hardy is 2.45
Please backport the new 2.46

http://www.blender.org/development/release-logs/blender-246/

Blender is a killer-app!

Revision history for this message
Jérôme Guelfucci (jerome-guelfucci-deactivatedaccount) wrote :

This package has not reached Intrepid yet, marking this as Incomplete.

Changed in hardy-backports:
status: New → Incomplete
Revision history for this message
goodhabit (goodhabit) wrote :

I'm sorry, looking for 2.46 too. What mean intrepid?

Revision history for this message
Jérôme Guelfucci (jerome-guelfucci-deactivatedaccount) wrote :

This is the development release of Ubuntu, candidates for backports have to be in Intrepid. Please wait until it is available there, then we will be able to test the backport.

Revision history for this message
Fred (eldmannen+launchpad) wrote :

Then put it in 8.10 "Intrepid Ibex".

Revision history for this message
Iain Lane (laney) wrote :

It will get in when it gets in. Please be patient

Revision history for this message
Alessio "Spinus" Moscatello (spinus) wrote :

Now Blender 2.46+dfsg-2 is in Intrepid repos: I've tried to build it but there is a problem with libftgl-dev which is a virtual package, in fact till Hardy the name is ftgl-dev! Maybe we could request to backport 2.1.3~rc5 libftgl-dev? Or it's safer a source changes backport?

Changed in hardy-backports:
status: Incomplete → New
Revision history for this message
Alessio "Spinus" Moscatello (spinus) wrote :

I've built ftgl 2.1.3~rc5-2 with prevu and then I've built Blender 2.46+dfsg-2, it works fine! I think we could backport even ftgl because there are no rdeps.

Changed in hardy-backports:
status: New → Confirmed
Revision history for this message
Scott Kitterman (kitterman) wrote :

But it does have reverse build-depens:

reverse-build-depends ftgl-dev
blender
chromium
gem
libprojectm
lightspeed
root-system
tulip
vtk

Please test again, but instead of backporting libftgl-dev, change the blender build-dep from libftgl-dev to ftgl-dev and see if it works. If it does, I can do a source backport.

Changed in hardy-backports:
status: Confirmed → Incomplete
Revision history for this message
Alessio "Spinus" Moscatello (spinus) wrote :

Sorry, I've used "apt-rdepends --reverse" and it didn't show any reverse dependencies!
Anyway I've compiled it changing libftgl-dev to ftgl-dev; I've installed it without any problem and works fine!

Revision history for this message
Alessio "Spinus" Moscatello (spinus) wrote :
Changed in hardy-backports:
status: Incomplete → Confirmed
Revision history for this message
Scott Kitterman (kitterman) wrote :

Try:
apt-cache rdepends ...

Changed in hardy-backports:
status: Confirmed → Incomplete
Revision history for this message
Alessio "Spinus" Moscatello (spinus) wrote :

I've tried yafray with Blender and I'd no problem rendering a sample image.
I've just uploaded the version 2.46 for Hardy into my PPA.
There are some packages that depend from Blender (ignoring metapackages):

  xracer-tools
  spe
  osgcal
  mm3d
  blender-ogrexml

so if someone can test that these packages work with Blender 2.46 it would be great!

Revision history for this message
Bartosz Kosiorek (gang65) wrote :

the blender is already in Intrepid

Changed in hardy-backports:
status: Incomplete → Confirmed
Revision history for this message
Scott Kitterman (kitterman) wrote :

It was incomplete because reverse dependencies need testing.

Changed in hardy-backports:
status: Confirmed → Incomplete
Changed in hardy-backports:
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers